Subject: ET 24x24 bitmap font format

From: Stephen G Simpson <[email-masked]>
Date: Fri, 12 Feb 93 11:39:55 -0500

I wrote:
> There is need for a set of public domain 24x24
> traditional character bitmaps.  But, until such bitmaps appear, the ET
> bitmaps are the closest approximation.  Therefore, one suggestion I
> have for the HBF group is that the ET bitmaps should be somehow
> incorporated into the proposed standard.

F. F. Lee replied:
> Could Mr. Stephen G. Simpson describe the ET bitmap font file format?

Yes, I can do that.  The 24x24 ET 2.03 bitmap files are as follows:

ASCFONT.24     12288   7-01-90
SPCFONT.24     29376   7-01-90
SPCFSUPP.24    26280   7-01-90
STDFONT.24    942768   7-01-90
STDFONT.24K   942768   7-01-90
STDFONT.24L   942768   7-01-90

These files (except ASCFONT.24) contain naked 24x24 bitmaps.  Each
bitmap consists of 72 bytes, i.e. 24*24 bits.  The bits within a
bitmap are in row major order, upper left to lower right.  STDFONT.24
contains Ming-style bitmaps, while STDFONT.24K and STDFONT.24L contain
Kai and Li style bitmaps respectively.  The bitmaps are further
described in a posting by Urs Widmer to CCNET some time ago:

From: Urs Widmer <[email-masked]>
Date: Tue, 21 May 91 22:24:27 GMT

Answer to a email-question as to the coding structure of the
ET-fontfiles: Here the informations for the files with
version 2.0:
---------------------------------------------------------------------------
Fontname   bytes  lines  char  extent (QU / WEI)   Contents
            per    per   no    in BIG-5 coding
           line   charac       begin      end
---------------------------------------------------------------------------
ASCFONT.24   2     24    256                       IBM 8-bit-ASCII
---------------------------------------------------------------------------
SPCFONT.24   3     24    407   01/001   03/094     Standard BIG-5 (non
                                                   Chinese in BIG-5)
---------------------------------------------------------------------------
SPCFSUPP.24  3     24    365   38/064   40/114     ET-supplement to BIG-5
                                                   (Japanese Russian etc)
---------------------------------------------------------------------------
STDFONT.24   3     24   5401   04/001   38/063     frequent BIG-5 characters
                        7651   41/001   89/115     less frequent BIG-5 char.
                          42   89/116   89/157     ET-suppl. to BIG-5
                                                   (8 Hanzi, rest graphics)
          (Total:      13094)
---------------------------------------------------------------------------
Notice:           The BIG-5 code occupies the QUs from 1 to 89 (94 would
                  be possible acording to the coding structure.)
                  Each QU contains 157 Positions (WEIs) or each QU is
                  an array of 157 elements.
Important notice: In the STDFONT.24 the less frequent character follow
                  closely the frequent ones, though in the coding scheme
                  in BIG-5 there is a "hole". This "hole" is (partly)
                  filled by the SPCFSUPP.24-font, which contains useful
                  characters, which are not contained in standard BIG-5
                  as Japanese Hiragana and Katakana and some other stuff
                  which is contained in the Qu 1-10 of GB 2312.